import { Vector3 } from "./Vector3";
/** A ray, consisting of an origin and a direction */
export declare class Ray {
    origin: Vector3;
    direction: Vector3;
    constructor(origin: Vector3, direction: Vector3);
    /** Convenience function for creating a Ray, cloning the parameters */
    static create(origin: Vector3, direction: Vector3): Ray;
    /** Convenience function for cloning a Ray */
    static clone(ray: Ray): Ray;
}
